Strona może być nieaktualna
Nikt jej nie zmieniał od 56 miesięcy (ostatni commit: 2022-03-09, Dariusz). Jeśli opisuje stan, którego już nie ma, zgłoś ją jako nieaktualną.
Przykładowe żądania i odpowiedzi¶
W tym pliku można znaleźć przykładowe żądania i odpowiedzi. Struktura żądań może się różnić - zależy ona od konfiguracji systemu.
Tworzenie/edycja transportu¶
Transport jednoetapowy¶
Request
```http request POST http://{{host}}:{{port}}/{{context}}/api/transports Content-Type: application/json APIVersion: v1 Authorization: Bearer {{auth_token}}
{ "erpIdentifier": "ABC16662345", "altIdentifier": "ABC12345", "description": "Uwaga: Załadunek tylko bokiem", "tradesman": "", "carrierCompany": { "id": "98016955", "contractorNumber": "", "shortName": "" }, "principalCompany": { "id": "91582292", "alias": "" }, "transportType": { "id": "", "alias": "DELIVERY" }, "steps": [ { "stepTypeName": "unload", "orderInTransport": "0", "documentIdentifier": "", "minAdviceDate": "", "maxAdviceDate": "", "stepPackageTypes": [], "volume": "", "weight": "", "warehouse": { "id": "", "idx": "", "name": "Magazyn A" }, "company": { "id": "98020011", "contractorNumber": "", "shortName": "" } } ] }
**Response**
```json
{
"advice": null,
"altIdentifier": "ABC12345",
"carrierCompany": {
"contractorNumber": "5274315693",
"id": 98016955,
"name": "Przewoźnik Automat 1",
"shortName": "PA1"
},
"checkpoints": [
{
"alias": "ORDER_CREATION",
"checkpointName": "Utworzenie zlecenia",
"confirmator": "admin",
"executionDate": "2021-11-23T10:29:10Z",
"expectedDate": "2021-11-23T09:59:10Z",
"id": 237878668,
"idx": 0
},
{
"alias": "ADVICE",
"checkpointName": "Awizacja",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T09:59:10Z",
"id": 237878669,
"idx": 1
}
],
"customFieldValues": [
{
"definitionName": "Procent wykonania",
"value": null
},
{
"definitionName": "Zwrot",
"value": null
},
{
"definitionName": "Kontrola jakości",
"value": null
}
],
"dateCreated": "2021-11-23T10:29:10Z",
"description": "Uwaga: Załadunek tylko bokiem",
"erpIdentifier": "ABC16662345",
"id": 237878665,
"steps": [
{
"id": 249348427,
"address": null,
"arrivalDate": "",
"company": {
"contractorNumber": "5253305318",
"id": 98020011,
"name": "Dostawca Automat 1",
"shortName": "DA1"
},
"documentIdentifier": null,
"maxAdviceDate": "",
"minAdviceDate": "",
"orderInTransport": "0",
"stepPackageTypes": [],
"stepTypeName": "unload",
"timeWindow": null,
"volume": null,
"warehouse": {
"id": "92350514",
"idx": "0",
"name": "Magazyn A"
},
"weight": null
}
],
"tradesman": null,
"transportType": {
"id": "91582303",
"name": "Dostawa"
}
}
Transport wieloetapowy¶
Request
```http request POST http://{{host}}:{{port}}/{{context}}/api/transports Content-Type: application/json APIVersion: v1 Authorization: Bearer {{auth_token}}
{ "erpIdentifier": "ABC12345", "altIdentifier": "ABC12345", "description": "Uwaga: Załadunek tylko bokiem", "tradesman": "", "carrierCompany": { "id": "98016955", "contractorNumber": "", "shortName": "" }, "principalCompany": { "id": "91582292", "alias": "" }, "transportType": { "id": "91582304", "alias": "LOAD" }, "steps": [ { "stepTypeName": "load", "orderInTransport": "0", "documentIdentifier": "", "minAdviceDate": "", "maxAdviceDate": "", "stepPackageTypes": [], "volume": "", "weight": "", "warehouse": { "id": "", "idx": "", "name": "Magazyn Hala A" } }, { "stepTypeName": "unload", "orderInTransport": "1", "documentIdentifier": "docs identifier", "minAdviceDate": "", "maxAdviceDate": "", "arrivalDate": "01.02.2020 18:00", "stepPackageTypes": [ { "quantity": 14, "packageTypeName": "PALLETS" } ], "volume": "22", "weight": "33", "company": { "id": "98020011", "contractorNumber": "", "shortName": "" }, "address": { "recipient": "TESTOWY222", "street": "Sap 23", "postal": "12345", "city": "Krynica Morska", "country": "PL" } } ] }
**Response**
```json
{
"advice": null,
"altIdentifier": "ABC12345",
"carrierCompany": {
"contractorNumber": "5274315693",
"id": 98016955,
"name": "Przewoźnik Automat 1",
"shortName": "PA1"
},
"checkpoints": [
{
"alias": "ORDER_CREATION",
"checkpointName": "Utworzenie zlecenia",
"confirmator": "admin",
"executionDate": "2021-11-23T10:06:46Z",
"expectedDate": "2021-11-23T09:36:46Z",
"id": 237878408,
"idx": 0
},
{
"alias": "ADVICE",
"checkpointName": "Awizacja",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T09:36:46Z",
"id": 237878409,
"idx": 1
}
],
"customFieldValues": [
{
"definitionName": "Palety spełniające normy",
"value": null
},
{
"definitionName": "Rodzaj palet",
"value": null
},
{
"definitionName": "Procent wykonania",
"value": null
},
{
"definitionName": "Kontrola jakości",
"value": null
}
],
"dateCreated": "2021-11-23T10:06:46Z",
"description": "Uwaga: Załadunek tylko bokiem",
"erpIdentifier": "ABC12345",
"id": 237878405,
"steps": [
{
"id": 123456789,
"address": null,
"arrivalDate": "",
"company": null,
"documentIdentifier": null,
"maxAdviceDate": "",
"minAdviceDate": "",
"orderInTransport": "0",
"stepPackageTypes": [],
"stepTypeName": "load",
"timeWindow": null,
"volume": null,
"warehouse": {
"id": "92350514",
"idx": "0",
"name": "Magazyn A"
},
"weight": null
},
{
"id": 123456789,
"address": {
"city": "Krynica Morska",
"country": "PL",
"id": 237878404,
"postal": "12345",
"recipient": "TESTOWY222",
"street": "Sap 23"
},
"arrivalDate": "2020-02-01T17:00:00Z",
"company": {
"contractorNumber": "5253305318",
"id": 98020011,
"name": "Dostawca Automat 1",
"shortName": "DA1"
},
"documentIdentifier": "docs identifier",
"maxAdviceDate": "",
"minAdviceDate": "",
"orderInTransport": "1",
"stepPackageTypes": [
237878402
],
"stepTypeName": "unload",
"timeWindow": null,
"volume": "22.0",
"warehouse": null,
"weight": "33.0"
}
],
"tradesman": null,
"transportType": {
"id": "91582304",
"name": "Załadunek"
}
}
Transport tworzony z awizacją i oknem czasowym¶
Request
```http request POST http://{{host}}:{{port}}/{{context}}/api/transports Content-Type: application/json APIVersion: v1 Authorization: Bearer {{auth_token}}
{ "advice": { "carRegistrationNumber": "ERA1KK", "documentNumber": "asd12345", "documentType": "ID_CARD", "driverMobilePhoneNumber": "123123123", "driverMobilePhonePrefix": "48", "driverName": "Jacek Nowak", "personalDataProcessingConsent": "true", "termsOfConditionsAccepted": "true", "trailerRegistrationNumber": null }, "carrierCompany": { "shortName": "" }, "customFields": [ { "definitionName": "Typ zlecenia", "value": "Załadunek" }, { "definitionName": "ID zlecenia", "value": "1032287" } ], "erpIdentifier": "16082103", "principalCompany": { "alias": "firma" }, "steps": [ { "orderInTransport": 0, "stepTypeName": "load", "timeWindow": { "ramp": "2/A", "start": "2021-11-18T14:00:00Z" }, "warehouse": { "name": "Magazyn Gdynia" } } ], "transportType": { "alias": "DELIVERY" } }
**Response**
```json
{
"advice": {
"carRegistrationNumber": "ERA1KK",
"creator": "admin",
"dateCreated": "2021-11-23T10:10:00Z",
"documentNumber": "asd12345",
"documentType": "ID_CARD",
"driverMobilePhoneNumber": "123123123",
"driverMobilePhonePrefix": "48",
"driverName": "Jacek Nowak",
"id": 237878419,
"trailerRegistrationNumber": null
},
"altIdentifier": null,
"carrierCompany": null,
"checkpoints": [
{
"alias": "ORDER_CREATION",
"checkpointName": "Utworzenie zlecenia",
"confirmator": "admin",
"executionDate": "2021-11-23T10:10:00Z",
"expectedDate": "2021-11-23T10:10:00Z",
"id": 237878428,
"idx": 0
},
{
"alias": "START_OF_LOADING_UNLOADING",
"checkpointName": "Rozpoczęcie załadunku/rozładunku",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-18T15:00:00Z",
"id": 237878429,
"idx": 1
},
{
"alias": "END_OF_LOADING_UNLOADING",
"checkpointName": "Zakończenie załadunku/rozładunku",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-18T15:30:00Z",
"id": 237878430,
"idx": 2
}
],
"customFieldValues": [
{
"definitionName": "Typ zlecenia",
"value": "Załadunek"
},
{
"definitionName": "ID zlecenia TMS",
"value": "1032287"
}
],
"dateCreated": "2021-11-23T10:10:00Z",
"description": null,
"erpIdentifier": "16082103",
"id": 237878417,
"steps": [
{
"id": 123456789,
"address": null,
"arrivalDate": "",
"company": null,
"documentIdentifier": null,
"maxAdviceDate": "",
"minAdviceDate": "",
"orderInTransport": "0",
"stepPackageTypes": [],
"stepTypeName": "load",
"timeWindow": {
"id": 237878421,
"ramp": "2/A",
"start": "2021-11-18T14:00:00Z",
"stop": "2021-11-18T15:00:00Z"
},
"volume": null,
"warehouse": {
"id": "222498476",
"idx": "0",
"name": "Magazyn Gdynia"
},
"weight": null
}
],
"tradesman": null,
"transportType": {
"id": "222499135",
"name": "Zlecenie transportowe"
}
}
Zapytanie o szczegóły transportu - stan po zatwierdzeniu poszczególnych etapów¶
```http request GET http://{{host}}:{{port}}/{{context}}/api/transports/XYZ9876 Content-Type: application/json APIVersion: v1 Authorization: Bearer {{auth_token}}
### Odpowiedź po utworzeniu transportu
```json
{
"advice": null,
"altIdentifier": "2111447",
"carrierCompany": {
"contractorNumber": "5274315693",
"id": 98016955,
"name": "Przewoźnik Automat 1",
"shortName": "PA1"
},
"checkpoints": [
{
"alias": "ORDER_CREATION",
"checkpointName": "Utworzenie zlecenia",
"confirmator": "admin",
"executionDate": "2021-11-23T10:38:20Z",
"expectedDate": "2021-11-23T10:08:20Z",
"id": 237878738,
"idx": 0
},
{
"alias": "ADVICE",
"checkpointName": "Awizacja",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T10:08:20Z",
"id": 237878739,
"idx": 1
}
],
"customFieldValues": [
{
"definitionName": "Palety spełniające normy",
"value": null
},
{
"definitionName": "Rodzaj palet",
"value": null
},
{
"definitionName": "Procent wykonania",
"value": null
},
{
"definitionName": "Kontrola jakości",
"value": null
}
],
"dateCreated": "2021-11-23T10:38:20Z",
"description": "Uwaga: Załadunek tylko bokiem",
"erpIdentifier": "XYZ9876",
"id": 237878735,
"steps": [
{
"id": 123456789,
"address": null,
"arrivalDate": "",
"company": null,
"documentIdentifier": null,
"maxAdviceDate": "",
"minAdviceDate": "",
"orderInTransport": "0",
"stepPackageTypes": [],
"stepTypeName": "load",
"timeWindow": null,
"volume": null,
"warehouse": {
"id": "92350514",
"idx": "0",
"name": "Magazyn A"
},
"weight": null
},
{
"address": {
"city": "Krynica Morska",
"country": "PL",
"id": 237878734,
"postal": "12345",
"recipient": "TESTOWY222",
"street": "Sap 23"
},
"arrivalDate": "2020-02-01T17:00:00Z",
"company": {
"contractorNumber": "5253305318",
"id": 98020011,
"name": "Dostawca Automat 1",
"shortName": "DA1"
},
"documentIdentifier": "docs identifier",
"maxAdviceDate": "",
"minAdviceDate": "",
"orderInTransport": "1",
"stepPackageTypes": [
237878732
],
"stepTypeName": "unload",
"timeWindow": null,
"volume": "22.0",
"warehouse": null,
"weight": "33.0"
}
],
"tradesman": null,
"transportType": {
"id": "91582304",
"name": "Załadunek"
}
}
Odpowiedź po dodaniu awizacji¶
{
"advice": {
"carRegistrationNumber": "ABC12345",
"creator": "super-admin",
"dateCreated": "2021-11-23T10:40:20Z",
"documentNumber": null,
"documentType": "ID_CARD",
"driverMobilePhoneNumber": "111222333",
"driverMobilePhonePrefix": "48",
"driverName": "Jan Kowalski",
"id": 237878750,
"trailerRegistrationNumber": "XYZ4567"
},
"altIdentifier": "2111447",
"carrierCompany": {
"contractorNumber": "5274315693",
"id": 98016955,
"name": "Przewoźnik Automat 1",
"shortName": "PA1"
},
"checkpoints": [
{
"alias": "ORDER_CREATION",
"checkpointName": "Utworzenie zlecenia",
"confirmator": "admin",
"executionDate": "2021-11-23T10:38:20Z",
"expectedDate": "2021-11-23T10:08:20Z",
"id": 237878776,
"idx": 0
},
{
"alias": "ADVICE",
"checkpointName": "Awizacja",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:40:20Z",
"expectedDate": "2021-11-23T17:30:00Z",
"id": 237878777,
"idx": 1
},
{
"alias": "ARRIVAL",
"checkpointName": "Wjazd",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T17:30:00Z",
"id": 237878778,
"idx": 2
},
{
"alias": "DRIVER_REGISTRATION",
"checkpointName": "Rejestracja kierowcy",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T17:45:00Z",
"id": 237878779,
"idx": 3
},
{
"alias": "UNDER_THE_RAMP",
"checkpointName": "Pod rampą",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T17:55:00Z",
"id": 237878780,
"idx": 4
},
{
"alias": "START_OF_LOADING",
"checkpointName": "Rozpoczęcie załadunku",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T19:00:00Z",
"id": 237878781,
"idx": 5
},
{
"alias": "END_OF_LOADING",
"checkpointName": "Zakończenie załadunku",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T19:00:00Z",
"id": 237878782,
"idx": 6
},
{
"alias": "DOCUMENTS_RELEASE",
"checkpointName": "Wydanie dokumentów",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T19:30:00Z",
"id": 237878783,
"idx": 7
},
{
"alias": "DEPARTURE",
"checkpointName": "Wyjazd",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T19:30:00Z",
"id": 237878784,
"idx": 8
},
{
"alias": "DOCUMENTS_ADDED",
"checkpointName": "Dodanie dokumentów",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T19:50:00Z",
"id": 237878785,
"idx": 9
}
],
"customFieldValues": [
{
"definitionName": "Palety spełniające normy",
"value": null
},
{
"definitionName": "Rodzaj palet",
"value": null
},
{
"definitionName": "Procent wykonania",
"value": null
},
{
"definitionName": "Kontrola jakości",
"value": null
}
],
"dateCreated": "2021-11-23T10:38:20Z",
"description": "Uwaga: Załadunek tylko bokiem",
"erpIdentifier": "XYZ9876",
"id": 237878735,
"steps": [
{
"id": 123456789,
"address": null,
"arrivalDate": "",
"company": null,
"documentIdentifier": null,
"maxAdviceDate": "",
"minAdviceDate": "",
"orderInTransport": "0",
"stepPackageTypes": [],
"stepTypeName": "load",
"timeWindow": {
"id": 237878744,
"ramp": "R32",
"start": "2021-11-23T18:00:00Z",
"stop": "2021-11-23T19:00:00Z"
},
"volume": null,
"warehouse": {
"id": "92350514",
"idx": "0",
"name": "Magazyn A"
},
"weight": null
},
{
"id": 123456789,
"address": {
"city": "Krynica Morska",
"country": "PL",
"id": 237878264,
"postal": "12345",
"recipient": "TESTOWY222",
"street": "Sap 23"
},
"arrivalDate": "2020-02-01T17:00:00Z",
"company": {
"contractorNumber": "5253305318",
"id": 98020011,
"name": "Dostawca Automat 1",
"shortName": "DA1"
},
"documentIdentifier": "docs identifier",
"maxAdviceDate": "",
"minAdviceDate": "",
"orderInTransport": "1",
"stepPackageTypes": [
237878732
],
"stepTypeName": "unload",
"timeWindow": null,
"volume": "22.0",
"warehouse": null,
"weight": "33.0"
}
],
"tradesman": null,
"transportType": {
"id": "91582304",
"name": "Załadunek"
}
}
Odpowiedź po zatwierdzeniu statusu "Rozpoczęcie załadunku" (START_OF_LOADING)¶
{
"advice": {
"carRegistrationNumber": "ABC12345",
"creator": "super-admin",
"dateCreated": "2021-11-23T10:40:20Z",
"documentNumber": null,
"documentType": "ID_CARD",
"driverMobilePhoneNumber": "111222333",
"driverMobilePhonePrefix": "48",
"driverName": "Jan Kowalski",
"id": 237878750,
"trailerRegistrationNumber": "XYZ4567"
},
"altIdentifier": "2111447",
"carrierCompany": {
"contractorNumber": "5274315693",
"id": 98016955,
"name": "Przewoźnik Automat 1",
"shortName": "PA1"
},
"checkpoints": [
{
"alias": "ORDER_CREATION",
"checkpointName": "Utworzenie zlecenia",
"confirmator": "admin",
"executionDate": "2021-11-23T10:38:20Z",
"expectedDate": "2021-11-23T10:08:20Z",
"id": 237878776,
"idx": 0
},
{
"alias": "ADVICE",
"checkpointName": "Awizacja",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:40:20Z",
"expectedDate": "2021-11-23T17:30:00Z",
"id": 237878777,
"idx": 1
},
{
"alias": "ARRIVAL",
"checkpointName": "Wjazd",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:41:49Z",
"expectedDate": "2021-11-23T17:30:00Z",
"id": 237878778,
"idx": 2
},
{
"alias": "DRIVER_REGISTRATION",
"checkpointName": "Rejestracja kierowcy",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:41:51Z",
"expectedDate": "2021-11-23T17:45:00Z",
"id": 237878779,
"idx": 3
},
{
"alias": "UNDER_THE_RAMP",
"checkpointName": "Pod rampą",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:41:54Z",
"expectedDate": "2021-11-23T17:55:00Z",
"id": 237878780,
"idx": 4
},
{
"alias": "START_OF_LOADING",
"checkpointName": "Rozpoczęcie załadunku",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:41:57Z",
"expectedDate": "2021-11-23T19:00:00Z",
"id": 237878781,
"idx": 5
},
{
"alias": "END_OF_LOADING",
"checkpointName": "Zakończenie załadunku",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T19:00:00Z",
"id": 237878782,
"idx": 6
},
{
"alias": "DOCUMENTS_RELEASE",
"checkpointName": "Wydanie dokumentów",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T19:30:00Z",
"id": 237878783,
"idx": 7
},
{
"alias": "DEPARTURE",
"checkpointName": "Wyjazd",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T19:30:00Z",
"id": 237878784,
"idx": 8
},
{
"alias": "DOCUMENTS_ADDED",
"checkpointName": "Dodanie dokumentów",
"confirmator": null,
"executionDate": "",
"expectedDate": "2021-11-23T19:50:00Z",
"id": 237878785,
"idx": 9
}
],
"customFieldValues": [
{
"definitionName": "Palety spełniające normy",
"value": null
},
{
"definitionName": "Rodzaj palet",
"value": null
},
{
"definitionName": "Procent wykonania",
"value": null
},
{
"definitionName": "Kontrola jakości",
"value": null
}
],
"dateCreated": "2021-11-23T10:38:20Z",
"description": "Uwaga: Załadunek tylko bokiem",
"erpIdentifier": "XYZ9876",
"id": 237878735,
"steps": [
{
"id": 123456789,
"address": null,
"arrivalDate": "",
"company": null,
"documentIdentifier": null,
"maxAdviceDate": "",
"minAdviceDate": "",
"orderInTransport": "0",
"stepPackageTypes": [],
"stepTypeName": "load",
"timeWindow": {
"id": 237878744,
"ramp": "R32",
"start": "2021-11-23T18:00:00Z",
"stop": "2021-11-23T19:00:00Z"
},
"volume": null,
"warehouse": {
"id": "92350514",
"idx": "0",
"name": "Magazyn A"
},
"weight": null
},
{
"id": 123456789,
"address": {
"city": "Krynica Morska",
"country": "PL",
"id": 237878264,
"postal": "12345",
"recipient": "TESTOWY222",
"street": "Sap 23"
},
"arrivalDate": "2020-02-01T17:00:00Z",
"company": {
"contractorNumber": "5253305318",
"id": 98020011,
"name": "Dostawca Automat 1",
"shortName": "DA1"
},
"documentIdentifier": "docs identifier",
"maxAdviceDate": "",
"minAdviceDate": "",
"orderInTransport": "1",
"stepPackageTypes": [
237878732
],
"stepTypeName": "unload",
"timeWindow": null,
"volume": "22.0",
"warehouse": null,
"weight": "33.0"
}
],
"tradesman": null,
"transportType": {
"id": "91582304",
"name": "Załadunek"
}
}
Odpowiedź po zakończeniu procesu¶
{
"advice": {
"carRegistrationNumber": "ABC12345",
"creator": "super-admin",
"dateCreated": "2021-11-23T10:40:20Z",
"documentNumber": null,
"documentType": "ID_CARD",
"driverMobilePhoneNumber": "111222333",
"driverMobilePhonePrefix": "48",
"driverName": "Jan Kowalski",
"id": 237878750,
"trailerRegistrationNumber": "XYZ4567"
},
"altIdentifier": "2111447",
"carrierCompany": {
"contractorNumber": "5274315693",
"id": 98016955,
"name": "Przewoźnik Automat 1",
"shortName": "PA1"
},
"checkpoints": [
{
"alias": "ORDER_CREATION",
"checkpointName": "Utworzenie zlecenia",
"confirmator": "admin",
"executionDate": "2021-11-23T10:38:20Z",
"expectedDate": "2021-11-23T10:08:20Z",
"id": 237878776,
"idx": 0
},
{
"alias": "ADVICE",
"checkpointName": "Awizacja",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:40:20Z",
"expectedDate": "2021-11-23T17:30:00Z",
"id": 237878777,
"idx": 1
},
{
"alias": "ARRIVAL",
"checkpointName": "Wjazd",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:41:49Z",
"expectedDate": "2021-11-23T17:30:00Z",
"id": 237878778,
"idx": 2
},
{
"alias": "DRIVER_REGISTRATION",
"checkpointName": "Rejestracja kierowcy",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:41:51Z",
"expectedDate": "2021-11-23T17:45:00Z",
"id": 237878779,
"idx": 3
},
{
"alias": "UNDER_THE_RAMP",
"checkpointName": "Pod rampą",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:41:54Z",
"expectedDate": "2021-11-23T17:55:00Z",
"id": 237878780,
"idx": 4
},
{
"alias": "START_OF_LOADING",
"checkpointName": "Rozpoczęcie załadunku",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:41:57Z",
"expectedDate": "2021-11-23T19:00:00Z",
"id": 237878781,
"idx": 5
},
{
"alias": "END_OF_LOADING",
"checkpointName": "Zakończenie załadunku",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:47:02Z",
"expectedDate": "2021-11-23T19:00:00Z",
"id": 237878782,
"idx": 6
},
{
"alias": "DOCUMENTS_RELEASE",
"checkpointName": "Wydanie dokumentów",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:47:04Z",
"expectedDate": "2021-11-23T19:30:00Z",
"id": 237878783,
"idx": 7
},
{
"alias": "DEPARTURE",
"checkpointName": "Wyjazd",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:47:06Z",
"expectedDate": "2021-11-23T19:30:00Z",
"id": 237878784,
"idx": 8
},
{
"alias": "DOCUMENTS_ADDED",
"checkpointName": "Dodanie dokumentów",
"confirmator": "super-admin",
"executionDate": "2021-11-23T10:47:23Z",
"expectedDate": "2021-11-23T19:50:00Z",
"id": 237878785,
"idx": 9
}
],
"customFieldValues": [
{
"definitionName": "Palety spełniające normy",
"value": null
},
{
"definitionName": "Rodzaj palet",
"value": null
},
{
"definitionName": "Procent wykonania",
"value": null
},
{
"definitionName": "Kontrola jakości",
"value": null
}
],
"dateCreated": "2021-11-23T10:38:20Z",
"description": "Uwaga: Załadunek tylko bokiem",
"erpIdentifier": "XYZ9876",
"id": 237878735,
"steps": [
{
"id": 123456789,
"address": null,
"arrivalDate": "",
"company": null,
"documentIdentifier": null,
"maxAdviceDate": "",
"minAdviceDate": "",
"orderInTransport": "0",
"stepPackageTypes": [],
"stepTypeName": "load",
"timeWindow": {
"id": 237878744,
"ramp": "R32",
"start": "2021-11-23T18:00:00Z",
"stop": "2021-11-23T19:00:00Z"
},
"volume": null,
"warehouse": {
"id": "92350514",
"idx": "0",
"name": "Magazyn A"
},
"weight": null
},
{
"id": 123456789,
"address": {
"city": "Krynica Morska",
"country": "PL",
"id": 237878264,
"postal": "12345",
"recipient": "TESTOWY222",
"street": "Sap 23"
},
"arrivalDate": "2020-02-01T17:00:00Z",
"company": {
"contractorNumber": "5253305318",
"id": 98020011,
"name": "Dostawca Automat 1",
"shortName": "DA1"
},
"documentIdentifier": "docs identifier",
"maxAdviceDate": "",
"minAdviceDate": "",
"orderInTransport": "1",
"stepPackageTypes": [
237878732
],
"stepTypeName": "unload",
"timeWindow": null,
"volume": "22.0",
"warehouse": null,
"weight": "33.0"
}
],
"tradesman": null,
"transportType": {
"id": "91582304",
"name": "Załadunek"
}
}
Ostatnia zmiana: 2022-03-09 · Dariusz
Zbudowano: 2026-11-20 10:32 UTC · wersja 1.0.0 · rewizja: 19fcdc12e